diff --git a/src/common/resources/lang/en_US/gui.lang b/src/common/resources/lang/en_US/gui.lang
index 3c4dd0830..8d5cad6a6 100644
--- a/src/common/resources/lang/en_US/gui.lang
+++ b/src/common/resources/lang/en_US/gui.lang
@@ -25,6 +25,16 @@ gui.bad_java_arch.label.body.4=Please consider downloading a 64-bit JRE such as
 gui.bad_java_arch.button.download=Download
 gui.bad_java_arch.button.continue=Continue
 
+gui.no_minecraft.label.title=Minecraft Beta 1.7.3 is Missing!
+gui.no_minecraft.label.body.1=It looks like you're running Better than Adventure! without Minecraft Beta 1.7.3.
+gui.no_minecraft.label.body.2=Better than Adventure! must be installed with an official copy of
+gui.no_minecraft.label.body.3=Minecraft Beta 1.7.3 in order to function properly.
+gui.no_minecraft.label.body.4=This issue normally happens if you made a mistake in the installation process.
+gui.no_minecraft.label.body.5=Please review the install guide linked below.
+gui.no_minecraft.button.guide=Install Guide
+gui.no_minecraft.button.quit=Quit Game
+
+
 gui.conflict_warning.label.title=Level safe conflict
 gui.conflict_warning.label.body.1=Minecraft detected a conflict in the level save data.
 gui.conflict_warning.label.body.2=This could be caused by two copies of the game
diff --git a/src/common/resources/lang/en_US/item.lang b/src/common/resources/lang/en_US/item.lang
index 3f8f8fc72..8c5c11543 100644
--- a/src/common/resources/lang/en_US/item.lang
+++ b/src/common/resources/lang/en_US/item.lang
@@ -411,6 +411,9 @@ item.door.oak.painted.white.desc=Every house needs one.
 item.door.glass.name=Glass Door
 item.door.glass.desc=Great for aesthetics, terrible for privacy.
 
+item.door.glass.tinted.name=Tinted Glass Door
+item.door.glass.tinted.desc=Okay for aesthetics, okay for privacy.
+
 item.rope.name=Rope
 item.rope.desc=Strong enough to climb.
 
diff --git a/src/main/java/net/minecraft/client/Minecraft.java b/src/main/java/net/minecraft/client/Minecraft.java
index 91718ee61..bde651192 100644
--- a/src/main/java/net/minecraft/client/Minecraft.java
+++ b/src/main/java/net/minecraft/client/Minecraft.java
@@ -1,25 +1,6 @@
 package net.minecraft.client;
 
-import static net.minecraft.core.Global.*;
-import static org.lwjgl.opengl.GL11.*;
-
-import java.io.File;
-import java.io.IOException;
-import java.util.ArrayList;
-import java.util.Random;
-
-import net.minecraft.client.gui.modelviewer.GuiModelViewer;
-import net.minecraft.client.render.block.model.BlockModelDispatcher;
-import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
-import org.lwjgl.LWJGLException;
-import org.lwjgl.input.Keyboard;
-import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.Display;
-
 import com.mojang.nbt.CompoundTag;
-
 import net.minecraft.client.achievement.stat.StatStringFormatKeyInv;
 import net.minecraft.client.discord.RichPresenceHandlerThread;
 import net.minecraft.client.entity.ClientSkinVariantList;
@@ -39,6 +20,7 @@ import net.minecraft.client.gui.GuiIngameMenu;
 import net.minecraft.client.gui.GuiInventory;
 import net.minecraft.client.gui.GuiInventoryCreative;
 import net.minecraft.client.gui.GuiMainMenu;
+import net.minecraft.client.gui.GuiMissingMinecraft;
 import net.minecraft.client.gui.GuiOutOfMemory;
 import net.minecraft.client.gui.GuiPhotoMode;
 import net.minecraft.client.gui.GuiScreen;
@@ -46,6 +28,7 @@ import net.minecraft.client.gui.GuiSelectWorld;
 import net.minecraft.client.gui.GuiSleepMP;
 import net.minecraft.client.gui.GuiSleepSP;
 import net.minecraft.client.gui.MainMenuBackground;
+import net.minecraft.client.gui.modelviewer.GuiModelViewer;
 import net.minecraft.client.gui.popup.GuiPopup;
 import net.minecraft.client.input.InputHandler;
 import net.minecraft.client.input.InputType;
@@ -76,14 +59,18 @@ import net.minecraft.client.render.RenderEngine;
 import net.minecraft.client.render.RenderGlobal;
 import net.minecraft.client.render.Renderer;
 import net.minecraft.client.render.WorldRenderer;
+import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.camera.EntityCameraFirstPerson;
 import net.minecraft.client.render.camera.ICamera;
 import net.minecraft.client.render.colorizer.ColorizerFoliage;
 import net.minecraft.client.render.colorizer.ColorizerGrass;
 import net.minecraft.client.render.colorizer.ColorizerWater;
+import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.model.ModelBiped;
 import net.minecraft.client.render.shader.Shaders;
 import net.minecraft.client.render.shader.ShadersRenderer;
+import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.texturepack.TexturePackList;
 import net.minecraft.client.render.window.GameWindow;
 import net.minecraft.client.render.window.GameWindowLWJGL2;
@@ -142,6 +129,35 @@ import net.minecraft.core.world.save.LevelStorage;
 import net.minecraft.core.world.save.SaveConverters;
 import net.minecraft.core.world.save.SaveFormats;
 import net.minecraft.core.world.save.mcregion.SaveFormat19134;
+import org.lwjgl.LWJGLException;
+import org.lwjgl.input.Keyboard;
+import org.lwjgl.input.Mouse;
+import org.lwjgl.opengl.Display;
+
+import java.io.File;
+import java.io.IOException;
+import java.util.ArrayList;
+import java.util.Random;
+
+import static net.minecraft.core.Global.CURRENT_SAVE_VERSION;
+import static org.lwjgl.opengl.GL11.GL_ALPHA_TEST;
+import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
+import static org.lwjgl.opengl.GL11.glAlphaFunc;
+import static org.lwjgl.opengl.GL11.glBindTexture;
+import static org.lwjgl.opengl.GL11.glClear;
+import static org.lwjgl.opengl.GL11.glClearColor;
+import static org.lwjgl.opengl.GL11.glClearDepth;
+import static org.lwjgl.opengl.GL11.glColor4f;
+import static org.lwjgl.opengl.GL11.glCullFace;
+import static org.lwjgl.opengl.GL11.glDepthFunc;
+import static org.lwjgl.opengl.GL11.glDisable;
+import static org.lwjgl.opengl.GL11.glEnable;
+import static org.lwjgl.opengl.GL11.glLoadIdentity;
+import static org.lwjgl.opengl.GL11.glMatrixMode;
+import static org.lwjgl.opengl.GL11.glOrtho;
+import static org.lwjgl.opengl.GL11.glShadeModel;
+import static org.lwjgl.opengl.GL11.glTranslatef;
+import static org.lwjgl.opengl.GL11.glViewport;
 
 // Referenced classes of package net.minecraft.client:
 //            MinecraftApplet
@@ -469,8 +485,19 @@ public class Minecraft
         }
 
         gameStarted = true;
-        
-        if (System.getProperty("sun.arch.data.model").equals("32"))
+
+        boolean hasBeta173 = true;
+
+        try {
+            Class.forName("a"); // Check if a.class from the beta 1.7.3 jar is present
+        } catch (Exception e){
+            hasBeta173 = false;
+        }
+
+        if (!hasBeta173) {
+            displayGuiScreen(new GuiMissingMinecraft());
+        }
+        else if (System.getProperty("sun.arch.data.model").equals("32"))
         {
             displayGuiScreen(new GuiBadJavaArch());
         }
diff --git a/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java b/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java
index 67db04d4b..272696398 100644
--- a/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java
+++ b/src/main/java/net/minecraft/client/entity/ClientSkinVariantList.java
@@ -38,14 +38,14 @@ public class ClientSkinVariantList extends SkinVariantList {
 		load(mc.texturePackList.getDefaultTexturePack(), errors);
 		
 		// Load custom skin variants
-		if(mc.texturePackList.getHighestPriorityPack() != mc.texturePackList.getDefaultTexturePack() && mc.texturePackList.getHighestPriorityPack().hasFile("/mob/variants.json")) {
+		if(mc.texturePackList.getHighestPriorityPack() != mc.texturePackList.getDefaultTexturePack() && mc.texturePackList.getHighestPriorityPack().hasFile("/entity/variants.json")) {
 			load(mc.texturePackList.getHighestPriorityPack(), errors);
 		}
 	}
 	
 	public void load(TexturePack texturePack, List<Throwable> errors) {
 		try {
-			JsonObject rootObject = TexturePackJsonHelper.readJsonObject(texturePack, "/mob/variants.json");
+			JsonObject rootObject = TexturePackJsonHelper.readJsonObject(texturePack, "/entity/variants.json");
 			try {
 				if(rootObject.has("replace") && rootObject.getBoolean("replace")) {
 					entitySkinCounts.clear();
diff --git a/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java b/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java
index dec5d5e63..338ae8b97 100644
--- a/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java
+++ b/src/main/java/net/minecraft/client/entity/fx/EntityReddustFX.java
@@ -11,14 +11,14 @@ import net.minecraft.core.world.World;
 public class EntityReddustFX extends EntityFX
 {
 
-    public EntityReddustFX(World world, double d, double d1, double d2, float f, float f1, float f2)
+    public EntityReddustFX(World world, double x, double y, double z, float red, float green, float blue)
     {
-        this(world, d, d1, d2, 1.0F, f, f1, f2);
+        this(world, x, y, z, 1.0F, red, green, blue);
     }
 
-    public EntityReddustFX(World world, double d, double d1, double d2, float f, float red, float green, float blue)
+    public EntityReddustFX(World world, double x, double y, double z, float scale, float red, float green, float blue)
     {
-        super(world, d, d1, d2, 0.0D, 0.0D, 0.0D);
+        super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         xd *= 0.1D;
         yd *= 0.1D;
         zd *= 0.1D;
@@ -27,10 +27,10 @@ public class EntityReddustFX extends EntityFX
         this.particleGreen = ((float)(Math.random() * 0.2D) + 0.8F) * green * f4;
         this.particleBlue = ((float)(Math.random() * 0.2D) + 0.8F) * blue * f4;
         particleScale *= 0.75F;
-        particleScale *= f;
+        particleScale *= scale;
         field_673_a = particleScale;
         particleMaxAge = (int)(8D / (Math.random() * 0.8D + 0.2D));
-        particleMaxAge *= f;
+        particleMaxAge *= scale;
         noPhysics = false;
     }
 
diff --git a/src/main/java/net/minecraft/client/entity/fx/ParticleDispatcher.java b/src/main/java/net/minecraft/client/entity/fx/ParticleDispatcher.java
new file mode 100644
index 000000000..2c8c5ced7
--- /dev/null
+++ b/src/main/java/net/minecraft/client/entity/fx/ParticleDispatcher.java
@@ -0,0 +1,65 @@
+package net.minecraft.client.entity.fx;
+
+import net.minecraft.client.Minecraft;
+import net.minecraft.client.util.dispatch.Dispatcher;
+import net.minecraft.core.block.Block;
+import net.minecraft.core.entity.animal.EntityFireflyCluster;
+import net.minecraft.core.item.Item;
+import net.minecraft.core.util.helper.Side;
+
+import java.util.ArrayList;
+import java.util.List;
+
+public class ParticleDispatcher extends Dispatcher<String, ParticleLambda> {
+    private static final ParticleDispatcher instance = new ParticleDispatcher();
+    public static ParticleDispatcher getInstance()
+    {
+        return instance;
+    }
+    public List<String> getParticleIds(){
+        return new ArrayList<>(dispatches.keySet());
+    }
+    @Override
+    protected ParticleLambda getDefault() {
+        return null;
+    }
+    private ParticleDispatcher(){
+        Minecraft mc = Minecraft.getMinecraft(this);
+        addDispatch("bubble", (world, x, y, z, motionX, motionY, motionZ) -> new EntityBubbleFX(world, x, y, z, motionX, motionY, motionZ, true));
+        addDispatch("smoke", (world, x, y, z, motionX, motionY, motionZ) -> new EntitySmokeFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("note", (world, x, y, z, motionX, motionY, motionZ) -> new EntityNoteFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("portal", (world, x, y, z, motionX, motionY, motionZ) -> new EntityPortalFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("explode", (world, x, y, z, motionX, motionY, motionZ) -> new EntityExplodeFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("flame", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFlameFX(world, x, y, z, motionX, motionY, motionX, EntityFlameFX.Type.ORANGE));
+        addDispatch("blueflame", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFlameFX(world, x, y, z, motionX, motionY, motionX, EntityFlameFX.Type.BLUE));
+        addDispatch("soulflame", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFlameFX(world, x, y, z, motionX, motionY, motionX, EntityFlameFX.Type.SOUL));
+        addDispatch("lava", (world, x, y, z, motionX, motionY, motionZ) -> new EntityLavaFX(world, x, y, z));
+        addDispatch("footstep", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFootStepFX(mc.renderEngine, world, x, y, z));
+        addDispatch("splash", EntitySplashFX::new);
+        addDispatch("largesmoke", (world, x, y, z, motionX, motionY, motionZ) -> new EntitySmokeFX(world, x, y, z, motionX, motionY, motionX, 2.5f));
+        addDispatch("reddust", (world, x, y, z, motionX, motionY, motionZ) -> new EntityReddustFX(world, x, y, z, (float) motionX, (float) motionY, (float) motionX));
+        addDispatch("item", (world, x, y, z, motionX, motionY, motionZ) -> new EntityItemFX(world, x, y, z, Item.itemsList[(int) (motionX + 0.001d)]));
+        addDispatch("block", (world, x, y, z, motionX, motionY, motionZ) -> new EntityDiggingFX(world, x, y, z,0,0,0, Block.blocksList[(int) (motionX + 0.001d)], Side.BOTTOM.getId(),(int) (motionY + 0.001d)));
+        addDispatch("snowshovel", (world, x, y, z, motionX, motionY, motionZ) -> new EntitySnowShovelFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("heart", (world, x, y, z, motionX, motionY, motionZ) -> new EntityHeartFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("slimechunk", (world, x, y, z, motionX, motionY, motionZ) -> {
+            if (mc.gameSettings.slimeParticles.value){
+                return new EntitySlimeChunkFX(world, x, y, z, Item.slimeball);
+            }
+            return null;
+        });
+        addDispatch("fireflyGreen", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFireflyFX(world, x, y, z, motionX, motionY, motionX, EntityFireflyCluster.FireflyColor.GREEN.getId()));
+        addDispatch("fireflyBlue", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFireflyFX(world, x, y, z, motionX, motionY, motionX, EntityFireflyCluster.FireflyColor.BLUE.getId()));
+        addDispatch("fireflyOrange", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFireflyFX(world, x, y, z, motionX, motionY, motionX, EntityFireflyCluster.FireflyColor.ORANGE.getId()));
+        addDispatch("fireflyRed", (world, x, y, z, motionX, motionY, motionZ) -> new EntityFireflyFX(world, x, y, z, motionX, motionY, motionX, EntityFireflyCluster.FireflyColor.RED.getId()));
+        addDispatch("arrowtrail", (world, x, y, z, motionX, motionY, motionZ) -> new EntityArrowGoldenFX(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("fallingleaf", (world, x, y, z, motionX, motionY, motionZ) -> {
+            int id = world.getBlockId((int)x, (int)y, (int)z);
+            if (id != 0){
+                return new EntityLeafFX(world, x, y, z, motionX, motionY, motionX).func_4041_a((int)x, (int)y, (int)z);
+            }
+            return null;
+        });
+        addDispatch("boatbreak", (world, x, y, z, motionX, motionY, motionZ) -> new EntityDiggingFX(world, x, y, z, motionX, motionY, motionX, Block.planksOak, Side.BOTTOM.getId(), 0));
+    }
+}
diff --git a/src/main/java/net/minecraft/client/entity/fx/ParticleLambda.java b/src/main/java/net/minecraft/client/entity/fx/ParticleLambda.java
new file mode 100644
index 000000000..394377380
--- /dev/null
+++ b/src/main/java/net/minecraft/client/entity/fx/ParticleLambda.java
@@ -0,0 +1,8 @@
+package net.minecraft.client.entity.fx;
+
+import net.minecraft.core.world.World;
+
+@FunctionalInterface
+public interface ParticleLambda {
+    EntityFX newParticle(World world, double x, double y, double z, double motionX, double motionY, double motionZ);
+}
diff --git a/src/main/java/net/minecraft/client/gui/Gui.java b/src/main/java/net/minecraft/client/gui/Gui.java
index afc24c7ba..3f61e3c09 100644
--- a/src/main/java/net/minecraft/client/gui/Gui.java
+++ b/src/main/java/net/minecraft/client/gui/Gui.java
@@ -260,7 +260,7 @@ public class Gui
         float r = (float)(argb >> 16 & 0xff) / 255F;
         float g = (float)(argb >> 8 & 0xff) / 255F;
         float b = (float)(argb & 0xff) / 255F;
-        re.bindTexture(re.getTexture("/gui/slot.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/slot.png"));
         GL11.glColor4f(r,g,b,a);
         drawTexturedModalRect(x,y,0,0,18,18,18,0.0078125F);
 
diff --git a/src/main/java/net/minecraft/client/gui/GuiAchievement.java b/src/main/java/net/minecraft/client/gui/GuiAchievement.java
index 9515f1954..dcb5ccfd9 100644
--- a/src/main/java/net/minecraft/client/gui/GuiAchievement.java
+++ b/src/main/java/net/minecraft/client/gui/GuiAchievement.java
@@ -128,7 +128,7 @@ public class GuiAchievement extends Gui
         d1 *= d1;
         int i = achievementWindowWidth - 160;
         int j = (int) (-d1 * 36D);
-        int k = theGame.renderEngine.getTexture("/achievement/bg.png");
+        int k = theGame.renderEngine.getTexture("/assets/minecraft/textures/gui/achievement/bg.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         GL11.glEnable(GL11.GL_TEXTURE_2D);
         GL11.glBindTexture(GL11.GL_TEXTURE_2D, k);
diff --git a/src/main/java/net/minecraft/client/gui/GuiAchievements.java b/src/main/java/net/minecraft/client/gui/GuiAchievements.java
index f6bc71a32..56f529dc5 100644
--- a/src/main/java/net/minecraft/client/gui/GuiAchievements.java
+++ b/src/main/java/net/minecraft/client/gui/GuiAchievements.java
@@ -177,7 +177,7 @@ public class GuiAchievements extends GuiScreen
             l = field_27123_v - 1;
         }
         int i1 = TextureRegistry.blockAtlas.getTextureId();
-        int j1 = mc.renderEngine.getTexture("/achievement/bg.png");
+        int j1 = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/achievement/bg.png");
         int k1 = (width - field_27121_a) / 2;
         int l1 = (height - field_27119_i) / 2;
         int i2 = k1 + 16;
diff --git a/src/main/java/net/minecraft/client/gui/GuiButton.java b/src/main/java/net/minecraft/client/gui/GuiButton.java
index 2c910ffbe..6f06d42f6 100644
--- a/src/main/java/net/minecraft/client/gui/GuiButton.java
+++ b/src/main/java/net/minecraft/client/gui/GuiButton.java
@@ -62,7 +62,7 @@ public class GuiButton extends Gui implements GuiElement
         boolean mouseOver = mouseX >= xPosition && mouseY >= yPosition && mouseX < xPosition + width && mouseY < yPosition + height;
         int state = getButtonState(mouseOver);
 
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/gui.png"));
+        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/gui.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         drawTexturedModalRect(xPosition, yPosition, 0, 46 + state * 20, width / 2, height);
         drawTexturedModalRect(xPosition + width / 2, yPosition, 200 - width / 2, 46 + state * 20, width / 2, height);
diff --git a/src/main/java/net/minecraft/client/gui/GuiChest.java b/src/main/java/net/minecraft/client/gui/GuiChest.java
index 440e190e8..55075fdce 100644
--- a/src/main/java/net/minecraft/client/gui/GuiChest.java
+++ b/src/main/java/net/minecraft/client/gui/GuiChest.java
@@ -34,7 +34,7 @@ public class GuiChest extends GuiContainer
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        int i = mc.renderEngine.getTexture("/gui/container.png");
+        int i = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/container.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i);
         int x = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/GuiClickableLabel.java b/src/main/java/net/minecraft/client/gui/GuiClickableLabel.java
index 0a3a460f1..5f1144053 100644
--- a/src/main/java/net/minecraft/client/gui/GuiClickableLabel.java
+++ b/src/main/java/net/minecraft/client/gui/GuiClickableLabel.java
@@ -33,7 +33,7 @@ public class GuiClickableLabel extends GuiButton
             return;
         }
         FontRenderer fontrenderer = mc.fontRenderer;
-        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/gui/gui.png"));
+        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/gui.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         boolean hovered = mouseX >= xPosition && mouseY >= yPosition && mouseX < xPosition + width && mouseY < yPosition + height;
         width = fontrenderer.getStringWidth(displayString) + 4;
diff --git a/src/main/java/net/minecraft/client/gui/GuiControllerSetup.java b/src/main/java/net/minecraft/client/gui/GuiControllerSetup.java
index 05a5c368e..72e2cbde3 100644
--- a/src/main/java/net/minecraft/client/gui/GuiControllerSetup.java
+++ b/src/main/java/net/minecraft/client/gui/GuiControllerSetup.java
@@ -100,7 +100,7 @@ public class GuiControllerSetup extends GuiScreen{
 			glDisable(GL_TEXTURE_2D);
 			
 //			glEnable(GL_TEXTURE_2D);
-//			glBindTexture(GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/controller.png"));
+//			glBindTexture(GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/controller.png"));
 //			drawTexturedModalRect(width / 2 - 64, height / 2 - 46, 0, 0, 128, 92);
 			
 			glDisable(GL_TEXTURE_2D);
@@ -127,7 +127,7 @@ public class GuiControllerSetup extends GuiScreen{
 			fontRenderer.drawStringWithShadow("L", x1+228, 132, controller.buttonL.isPressed() ? 0xFFFFFF : 0x505050);
 			fontRenderer.drawStringWithShadow("R", x1+238, 132, controller.buttonR.isPressed() ? 0xFFFFFF : 0x505050);
 			
-			glBindTexture(GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/controller/xbox360.png"));
+			glBindTexture(GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/controller/xbox360.png"));
 
 			glColor3d(1.0, 1.0, 1.0);
 			glBegin(GL_QUADS);
diff --git a/src/main/java/net/minecraft/client/gui/GuiCrafting.java b/src/main/java/net/minecraft/client/gui/GuiCrafting.java
index b05288594..e3cf65bf0 100644
--- a/src/main/java/net/minecraft/client/gui/GuiCrafting.java
+++ b/src/main/java/net/minecraft/client/gui/GuiCrafting.java
@@ -36,7 +36,7 @@ public class GuiCrafting extends GuiContainer
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        int i = mc.renderEngine.getTexture("/gui/crafting.png");
+        int i = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/crafting.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i);
         int j = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/GuiCreateWorld.java b/src/main/java/net/minecraft/client/gui/GuiCreateWorld.java
index 5f0fe83fc..ebb29ce57 100644
--- a/src/main/java/net/minecraft/client/gui/GuiCreateWorld.java
+++ b/src/main/java/net/minecraft/client/gui/GuiCreateWorld.java
@@ -93,8 +93,8 @@ public class GuiCreateWorld extends GuiScreen
         controlList.add(gamemodeButton = new GuiButton(2, width / 2 - 100, 100 + 20 + 4, 98, 20, ""));
         controlList.add(cheatsButton = new GuiButton(3, width / 2 - 100 + 102, 100 + 20 + 4, 98, 20, ""));
         controlList.add(worldTypeButton = new GuiButton(4, width / 2 - 100, 100 + 20 + 20 + 4 + 4, ""));
-        controlList.add(buttonRandomWorldName = new GuiTexturedButton(5, "/gui/gui.png", width / 2 + 100 - 20, 60, 60, 86, 20, 20));
-        controlList.add(buttonRandomSeed = new GuiTexturedButton(6, "/gui/gui.png", width / 2 + 100 - 20, 100, 60, 86, 20, 20));
+        controlList.add(buttonRandomWorldName = new GuiTexturedButton(5, "/assets/minecraft/textures/gui/gui.png", width / 2 + 100 - 20, 60, 60, 86, 20, 20));
+        controlList.add(buttonRandomSeed = new GuiTexturedButton(6, "/assets/minecraft/textures/gui/gui.png", width / 2 + 100 - 20, 100, 60, 86, 20, 20));
         updateButtons();
         updateFolderName();
     }
diff --git a/src/main/java/net/minecraft/client/gui/GuiDispenser.java b/src/main/java/net/minecraft/client/gui/GuiDispenser.java
index a5b24e400..568b8fdf6 100644
--- a/src/main/java/net/minecraft/client/gui/GuiDispenser.java
+++ b/src/main/java/net/minecraft/client/gui/GuiDispenser.java
@@ -28,7 +28,7 @@ public class GuiDispenser extends GuiContainer
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        int i = mc.renderEngine.getTexture("/gui/trap.png");
+        int i = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/trap.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i);
         int j = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/GuiEditFlag.java b/src/main/java/net/minecraft/client/gui/GuiEditFlag.java
index d48877e15..2297177f7 100644
--- a/src/main/java/net/minecraft/client/gui/GuiEditFlag.java
+++ b/src/main/java/net/minecraft/client/gui/GuiEditFlag.java
@@ -71,7 +71,7 @@ public class GuiEditFlag
 
         for (int i = 0; i < 7; i++)
         {
-            toolBtns[i] = new GuiTexturedButton(i, "/gui/flag_editor.png", (width - xSize) / 2 + 12 + 22 * i, (height - ySize) / 2 + 76, 20 * i, 195, 20, 20);
+            toolBtns[i] = new GuiTexturedButton(i, "/assets/minecraft/textures/gui/flag_editor.png", (width - xSize) / 2 + 12 + 22 * i, (height - ySize) / 2 + 76, 20 * i, 195, 20, 20);
             if (i == activeTool) toolBtns[i].enabled = false;
             controlList.add(toolBtns[i]);
         }
@@ -317,7 +317,7 @@ public class GuiEditFlag
     @Override
     protected void drawGuiContainerBackgroundLayer(float f) 
     {
-        int i = mc.renderEngine.getTexture("/gui/flag_editor.png");
+        int i = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/flag_editor.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i);
         int j = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/GuiEditLabel.java b/src/main/java/net/minecraft/client/gui/GuiEditLabel.java
index 804034319..684d93e2d 100644
--- a/src/main/java/net/minecraft/client/gui/GuiEditLabel.java
+++ b/src/main/java/net/minecraft/client/gui/GuiEditLabel.java
@@ -67,7 +67,7 @@ public class GuiEditLabel extends GuiScreen
     public void drawScreen(final int mouseX, final int mouseY, final float f)
     {
         drawDefaultBackground();
-        final int bgTex = mc.renderEngine.getTexture("/gui/scroll.png");
+        final int bgTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/scroll.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(bgTex);
         final int widthBG = width / 2 - 56;
diff --git a/src/main/java/net/minecraft/client/gui/GuiFurnace.java b/src/main/java/net/minecraft/client/gui/GuiFurnace.java
index 11cbd510d..9af439b44 100644
--- a/src/main/java/net/minecraft/client/gui/GuiFurnace.java
+++ b/src/main/java/net/minecraft/client/gui/GuiFurnace.java
@@ -34,9 +34,9 @@ public class GuiFurnace extends GuiContainer
     {
         int guiTexture;
         if(furnaceInventory instanceof TileEntityBlastFurnace) {
-            guiTexture = mc.renderEngine.getTexture("/gui/blastfurnace.png");
+            guiTexture = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/blastfurnace.png");
         } else {
-            guiTexture = mc.renderEngine.getTexture("/gui/furnace.png");
+            guiTexture = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/furnace.png");
         }
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(guiTexture);
diff --git a/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java b/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java
index cf10db505..7f30c253d 100644
--- a/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java
+++ b/src/main/java/net/minecraft/client/gui/GuiHudDesigner.java
@@ -33,7 +33,7 @@ public class GuiHudDesigner
         mc.gameSettings.screenPadding.set(0.0f);
 
         add(new GuiButton(0, width / 2 - 100, height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 178, 20, I18n.getInstance().translateKey("gui.hud_designer.button.done")));
-        add(resetButton = new GuiTexturedButton(1, "/gui/gui.png", width / 2 + 80, height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 20 * 4, 86, 20, 20));
+        add(resetButton = new GuiTexturedButton(1, "/assets/minecraft/textures/gui/gui.png", width / 2 + 80, height - BOTTOM_SPACE + (BOTTOM_SPACE - 20) / 2, 20 * 4, 86, 20, 20));
     }
 
     @Override
@@ -267,7 +267,7 @@ public class GuiHudDesigner
         GL11.glDisable(GL11.GL_LIGHTING);
         GL11.glDisable(GL11.GL_FOG);
         TessellatorStandard tessellator = TessellatorStandard.instance;
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/designer_bg.png"));
+        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/designer_bg.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float scale = 32F;
         tessellator.startDrawingQuads();
diff --git a/src/main/java/net/minecraft/client/gui/GuiIngame.java b/src/main/java/net/minecraft/client/gui/GuiIngame.java
index 5b7adb0b3..5de98c011 100644
--- a/src/main/java/net/minecraft/client/gui/GuiIngame.java
+++ b/src/main/java/net/minecraft/client/gui/GuiIngame.java
@@ -120,7 +120,7 @@ public class GuiIngame extends Gui
         }
 
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("/gui/icons.png"));
+        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/icons.png"));
 
         //Sleep Overlay
         Lighting.disable();
